<?php
  $ruta="../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/actividad.php");
  $actividad=new actividad;
  include_once($ruta."class/cuota.php");
  $cuota=new cuota;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/vusuario2.php");
  $vusuario2=new vusuario2;
  include_once($ruta."class/chofer.php");
  $chofer=new chofer;
  include_once($ruta."funciones/funciones.php");
  session_start();  

   extract($_GET);

    $idus=$_SESSION["codusuario"];
    $vuss=$vusuario2->muestra($idus);
    $eje=$vadmejecutivo->mostrarUltimo("idpersona=".$vuss['idpersona']);
    $cho=$chofer->mostrarUltimo("idadmejecutivo=".$eje['idvadmejecutivo']);
    $idchofer=$cho["idchofer"];

    $idactividad=dcUrl($lblcode);//idrecuperacion
  $act=$actividad->muestra($idactividad);
  //$idchofer=dcUrl($lblcode2);
  //$cho=$chofer->muestra($idchofer);
 // $eje=$vadmejecutivo->muestra($cho['idadmejecutivo']);
  //$per=$persona->muestra($eje['idpersona']);
  $total=0;
  foreach($cuota->mostrarTodo("idactividad=".$idactividad." and idchofer=".$idchofer) as $remov)
  {
      $total=$total+number_format($remov['monto'], 2, '.', '');
  }
  $totalsaldo=$act['cuota'] - $total;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="HISTORIAL DE MIS PAGO REALIZADOS";
       include_once($ruta."includes/head_basico.php");
          include_once($ruta."includes/head_tabla.php");
          include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1118;
          include_once($ruta."aside.php");
         
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l2">&nbsp;</div>
              <div class="col s12 m12 l8" style="background: white; text-align: center; color:#021e65; font-size: 25px; border-radius: 5px; border: #CBCBCB 1px solid; font-weight: bold;">
                <?php echo $hd_titulo; ?>
              </div>
              <div class="col s12 m12 l2">&nbsp;</div>
              </div>
              
            </div>
          
<div class="container">
  <div class="section">
    <div class="row">
      <div class='col s12 m12 l6'> 
              <fieldset class="informacion" style="background: #D1D1D1;">
                    <legend><div class="titulo">
                      <a href="index.php" class="btn-jh waves-effect waves-light blue lighten-1"><i class="fa fa-mail-reply-all"></i></a>
                      <strong>DEUDOR</strong> </div></legend>
                   
                    <div class="col s12 m12 l12">
                      <div class="col s12 m12 l12">Socio(a): <b><?php echo $eje['nombre'].' '.$eje['paterno'].' '.$eje['materno'] ?></b></div>
                      <div class="col s12 m12 l12">Carnet: <b><?php echo $eje['carnet'].' '.$eje['expedido'] ?></b></div>
                    </div>
                    <div class="col s12 m12 l12">
                      <div class="col s12 m12 l12">Monto Inicio: <b><?php echo number_format($act['cuota'], 2, '.', '') ?></b></div>
                      <div class="col s12 m12 l12">Saldo: <b><?php echo number_format($totalsaldo, 2, '.', '') ?></b></div>                      
                      
                    </div>
                    <div class="col s12 m12 l12" style="text-align: center;">
                      Actividad a Pagar: <b style=" font-size: 20px;"><?php echo $act['nombre'] ?></b>
                    </div> 
                     <div class="col s12 m12 l12" align="center" style="background:white;">
                        <?php
                          if (number_format($totalsaldo, 2, '.', '')>0) 
                          {
                            ?>
                             <p style="color: red; font-size: 18px;">CUOTA PENDIENTE POR PAGAR</p> 
                          <?php
                          }else{
                            ?>
                              <p style="color: green; font-size: 18px;">MONTO CANCELADO</p> 
                          <?php
                          }
                         ?>
                                          
                      
                    </div>
                      
                  </fieldset>
                  
      </div>
      <div class='col s12 m12 l6'> 
        <fieldset class="informacion">
                      <legend><div class="titulo"><strong><i class="fa fa-money"></i> Pagos realizados de la actividad</strong> </div></legend>
                      <div class="col s12 m12 l12">
                        <table id="example2" class="display" cellspacing="0" width="100%">
                          <thead>
                            <tr>
                              <th>Pago Nro.</th>
                              <th>fecha cobrado</th> 
                              <th>Nro. recibo</th> 
                              <th>Monto cobrado</th>
                              <th>Descripción</th>
                              <th>Opcion</th>
                            </tr>
                          </thead>
                          
                          <tbody>
                            <?php
                            $contar=0;
                            $totalcobrado=0;
                            foreach($cuota->mostrarTodo("idactividad=".$idactividad." and idchofer=".$idchofer) as $f)
                            {
                              $lblcode=ecUrl($f['idcuota']);
                               $contar++;    
                              $estilo="background-color: #A4F3C6;";
                            ?>
                            <tr style="<?php echo $estilo ?>">
                              <td><?php echo $contar ?></td>
                              <td><?php echo $f['fecha'] ?></td>
                              <td><?php echo $f['nrorecibo'] ?></td>
                              <td><?php echo number_format($f['monto'], 2, '.', '') ?></td>
                              <td><?php echo $f['descripcion'] ?></td>
                              <td><a href="../cuota/cobrar/imprimir/?lblcode=<?php echo $lblcode ?>" class="btn-jh waves-effect waves-light darken-4 green" target="_blank"><i class="fa fa-file-pdf-o"></i> Ver</a></td>
                            </tr>
                            <?php
                              $totalcobrado=$totalcobrado+number_format($f['monto'], 2, '.', '');
                              }
                            ?>
                          </tbody>
                           <tfoot>
                               <tr> 
                                <th></th>
                                  <th></th>
                                    <th>TOTAL:</th> 
                                    <th><?php echo number_format($totalcobrado, 2, '.', '') ?></th>
                                    <th></th>
                                    <th></th>
                                  
                               </tr>
                            </tfoot>
                        </table>
                      </div> 
                    </fieldset>
      </div>
    </div>
  </div>
</div> 
          <?php
           // include_once("../footer.php");
          ?>
   </div>       
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
        $(document).ready(function() {
      $('#example').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
        $('#example1').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
          $('#example2').DataTable( {
        dom: 'Bfrtip',
        "order": [[ 0, "desc" ]],
        buttons: [
            
        ]
      });
           $('#example3').DataTable( {
        dom: 'Bfrtip',
        buttons: [
            
        ]
      });
    });
function prueba()
{
  alert('aqui');
}
    $("#btnSave").click(function(){
        //$('#btnSave').attr("disabled",true);
        if (validar()) 
        {          
          swal({
            title: "¿Esta seguro?",
            text: "Registrar el cobro",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#2c2a6c",
            confirmButtonText: "Registrar",
            closeOnConfirm: false,
            showLoaderOnConfirm: true
          }, function () {
            var str = $( "#idform" ).serialize();
            $.ajax({
              url: "guardar.php",
              type: "POST",
              data: str,
              success: function(resp){
                setTimeout(function(){     
                  console.log(resp);
                  $('#idresultado').html(resp);  
                }, 1500); 
              }
            }); 
          });
        }else{
          swal("ERROR","Faltan datos y/o monto no valido","error");
        }
      });
      function validar(){
        retorno=true;
        monto=$('#idmontocobrado').val();
        if(monto=="" || monto==0 || monto<=0){
          retorno=false;
        }
        return retorno;
      }
    </script>
</body>

</html>